package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 订单表(TOrderNew)实体类
 *
 * @author makejava
 * @since 2025-07-21 10:45:15
 */
public class TOrderNew implements Serializable {
    private static final long serialVersionUID = -96001184610112478L;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 订单类型 0认证项目 1科技项目 2 两化融化管理体系认证项目
     */
    private Integer orderType;
    /**
     * 创建人
     */
    private String creater;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 买方id
     */
    private String buyerId;
    /**
     * 首付金额
     */
    private BigDecimal firstAmount;
    /**
     * 总金额
     */
    private BigDecimal totalAmount;
    /**
     * 已收金额
     */
    private BigDecimal settlementAmount;
    /**
     * 退款金额
     */
    private BigDecimal refundAmount;
    /**
     * 订单状态 0-待签单，1-签单待审，2-签单审核通过，3-签单审核拒绝，4-已结项，5-已驳回，6-已退单
     */
    private Integer orderStatus;
    /**
     * 清算状态 0-首付待付请，1-尾款待付清，2-已付请，3-部分退款，4-全部退款
     */
    private Integer liquidationStatus;
    /**
     * 流程状态 0=营销员，1=经理，2=营销管理员，3=财务与技术总监，4=总裁，5=技术总监派单，6部分分配，7全部分配
     */
    private Integer processStatus;
    /**
     * 项目状态 0-项目待提交 1-项目已提交，2-项目评审，3-项目立项，4-项目公示，5-项目抽查，6-项目备案，7-项目下证，8-项目验收，9-项目拨款
     */
    private Integer projectStatus;
    /**
     * 特批状态 0-非特批 ，1-总裁待审核，2-总裁通过，3-总裁驳回 4董事长待审核 5董事长通过 6董事长驳回
     */
    private Integer approval;
    /**
     * 订单备注
     */
    private String orderRemarks;
    /**
     * 0正常 1作废 2锁定 3变更中
     */
    private Integer deleteSign;
    /**
     * 营销员id
     */
    private String salesmanId;
    /**
     * 财务id
     */
    private String financeId;
    /**
     * 技术员id
     */
    private String technicianId;
    /**
     * 签单日期
     */
    private Date signTime;
    /**
     * 结算日期
     */
    private Date settlementTime;
    /**
     * 合同图片
     */
    private String contractPictureUrl;
    /**
     * 合同编号
     */
    private String contractNo;
    /**
     * 业务品类
     */
    private String contractType;
    /**
     * 企业负责人
     */
    private String contacts;
    /**
     * 负责人联系电话
     */
    private String contactMobile;
    /**
     * 企业法人
     */
    private String legalPerson;
    /**
     * 法人联系电话
     */
    private String legalPersonTel;
    /**
     * 校对单量
     */
    private Double proofCount;

    /**
     * 校对人
     */
    private String proofAid;
    /**
     * 校对时间
     */
    private Date proofTime;
    /**
     * 校对状态(0-未校对 1已校对)
     */
    private Integer proofStatus;
    /**
     * 订单部门
     */
    private String orderDep;
    /**
     * 外包 0否 1是
     */
    private Integer outsource;
    /**
     * 附加订单
     */
    private String additionalOrder;
    /**
     * 原订单
     */
    private String primaryOrder;
    /**
     * 原营销员id
     */
    private String oldSalesmanId;
    /**
     * 驳回位置 (同流程状态)
     */
    private Integer backStatus;
    /**
     * 补充协议
     */
    private String agreementUrl;
    /**
     * 客户类型 0新客户 1老客户
     */
    private Integer newUser;
    /**
     * 服务内容
     */
    private String serviceContent;
    /**
     * 销售类型 0=电话新开发，1=电话自带资源，2=网络，3=渠道，4=转介绍，5=其他，6=高新复购，7=其他复购
     */
    private Integer salesType;
    /**
     * 渠道客户编号
     */
    private String channelId;
    /**
     * 销售其他描述
     */
    private String other;
    /**
     * 客户类型 0私有客户 1签单客户 2=限定项目客户
     */
    private Integer userType;
    /**
     * 审核人员名称
     */
    private String examineName;
    /**
     * 标签 0=默认，1=待处理，2=待派单，3=暂不处理，4=已过期，已作废
     */
    private Integer tag;
    /**
     * 0=客户自己完成，1=非客户自己完成
     */
    private Integer patentStatus;
    /**
     * 0=无，1=待评分，2=部分评分，3=全部评分
     */
    private Integer scoreStatus;
    /**
     * 新购客户 0=是，1=否（未签单或者三年内未签单为新）
     */
    private Integer newSignUser;


    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getBuyerId() {
        return buyerId;
    }

    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

    public BigDecimal getFirstAmount() {
        return firstAmount;
    }

    public void setFirstAmount(BigDecimal firstAmount) {
        this.firstAmount = firstAmount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public BigDecimal getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getLiquidationStatus() {
        return liquidationStatus;
    }

    public void setLiquidationStatus(Integer liquidationStatus) {
        this.liquidationStatus = liquidationStatus;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public Integer getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    public Integer getApproval() {
        return approval;
    }

    public void setApproval(Integer approval) {
        this.approval = approval;
    }

    public String getOrderRemarks() {
        return orderRemarks;
    }

    public void setOrderRemarks(String orderRemarks) {
        this.orderRemarks = orderRemarks;
    }

    public Integer getDeleteSign() {
        return deleteSign;
    }

    public void setDeleteSign(Integer deleteSign) {
        this.deleteSign = deleteSign;
    }

    public String getSalesmanId() {
        return salesmanId;
    }

    public void setSalesmanId(String salesmanId) {
        this.salesmanId = salesmanId;
    }

    public String getFinanceId() {
        return financeId;
    }

    public void setFinanceId(String financeId) {
        this.financeId = financeId;
    }

    public String getTechnicianId() {
        return technicianId;
    }

    public void setTechnicianId(String technicianId) {
        this.technicianId = technicianId;
    }

    public Date getSignTime() {
        return signTime;
    }

    public void setSignTime(Date signTime) {
        this.signTime = signTime;
    }

    public Date getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(Date settlementTime) {
        this.settlementTime = settlementTime;
    }

    public String getContractPictureUrl() {
        return contractPictureUrl;
    }

    public void setContractPictureUrl(String contractPictureUrl) {
        this.contractPictureUrl = contractPictureUrl;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getContractType() {
        return contractType;
    }

    public void setContractType(String contractType) {
        this.contractType = contractType;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getLegalPersonTel() {
        return legalPersonTel;
    }

    public void setLegalPersonTel(String legalPersonTel) {
        this.legalPersonTel = legalPersonTel;
    }

    public Double getProofCount() {
        return proofCount;
    }

    public void setProofCount(Double proofCount) {
        this.proofCount = proofCount;
    }

    public String getProofAid() {
        return proofAid;
    }

    public void setProofAid(String proofAid) {
        this.proofAid = proofAid;
    }

    public Date getProofTime() {
        return proofTime;
    }

    public void setProofTime(Date proofTime) {
        this.proofTime = proofTime;
    }

    public Integer getProofStatus() {
        return proofStatus;
    }

    public void setProofStatus(Integer proofStatus) {
        this.proofStatus = proofStatus;
    }

    public String getOrderDep() {
        return orderDep;
    }

    public void setOrderDep(String orderDep) {
        this.orderDep = orderDep;
    }

    public Integer getOutsource() {
        return outsource;
    }

    public void setOutsource(Integer outsource) {
        this.outsource = outsource;
    }

    public String getAdditionalOrder() {
        return additionalOrder;
    }

    public void setAdditionalOrder(String additionalOrder) {
        this.additionalOrder = additionalOrder;
    }

    public String getPrimaryOrder() {
        return primaryOrder;
    }

    public void setPrimaryOrder(String primaryOrder) {
        this.primaryOrder = primaryOrder;
    }

    public String getOldSalesmanId() {
        return oldSalesmanId;
    }

    public void setOldSalesmanId(String oldSalesmanId) {
        this.oldSalesmanId = oldSalesmanId;
    }

    public Integer getBackStatus() {
        return backStatus;
    }

    public void setBackStatus(Integer backStatus) {
        this.backStatus = backStatus;
    }

    public String getAgreementUrl() {
        return agreementUrl;
    }

    public void setAgreementUrl(String agreementUrl) {
        this.agreementUrl = agreementUrl;
    }

    public Integer getNewUser() {
        return newUser;
    }

    public void setNewUser(Integer newUser) {
        this.newUser = newUser;
    }

    public String getServiceContent() {
        return serviceContent;
    }

    public void setServiceContent(String serviceContent) {
        this.serviceContent = serviceContent;
    }

    public Integer getSalesType() {
        return salesType;
    }

    public void setSalesType(Integer salesType) {
        this.salesType = salesType;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getExamineName() {
        return examineName;
    }

    public void setExamineName(String examineName) {
        this.examineName = examineName;
    }

    public Integer getTag() {
        return tag;
    }

    public void setTag(Integer tag) {
        this.tag = tag;
    }

    public Integer getPatentStatus() {
        return patentStatus;
    }

    public void setPatentStatus(Integer patentStatus) {
        this.patentStatus = patentStatus;
    }

    public Integer getScoreStatus() {
        return scoreStatus;
    }

    public void setScoreStatus(Integer scoreStatus) {
        this.scoreStatus = scoreStatus;
    }

    public Integer getNewSignUser() {
        return newSignUser;
    }

    public void setNewSignUser(Integer newSignUser) {
        this.newSignUser = newSignUser;
    }

}

